/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mm.controller;

import com.mm.domen.Kupac;
import com.mm.domen.KupacPravnoLice;
import com.mm.domen.Mesto;
import com.mm.service.KupacService;
import com.mm.service.MestoService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

/**
 *
 * @author student1
 */
@Controller
public class KupacController {

    @Autowired
    private MestoService mestoService;

    @Autowired
    private KupacService kupacService;

    @RequestMapping(value = "/action/sacuvaj_pravno_lice", method = RequestMethod.GET)
    public ModelAndView init() {
        List<Mesto> list = mestoService.findAll();
        return new ModelAndView("/WEB-INF/unos_pravnog_lica.jsp", "kolekcijaMesta", list);
    }

    @RequestMapping(value = "/action/sacuvaj_pravno_lice", method = RequestMethod.POST)
    public ModelAndView save(String naziv, String pib, String adresa, Long mestoPtt) {
        kupacService.save(new KupacPravnoLice(pib, naziv, adresa, new Mesto(mestoPtt)));
        return new ModelAndView("/WEB-INF/pocetna.jsp");
    }

    @RequestMapping("/action/svi_kupci")
    public ModelAndView findAll() {
        List<Kupac> list = kupacService.findAll();
        return new ModelAndView("/WEB-INF/svi_kupci.jsp", "kupacList", list);
    }

}
